
QGIS Application - Bug report #1934

Unable to remove shapefile field in Attribute table

2009-09-16 11:53 PM - luca76 -

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: up-/downstream

Crashes QGIS or corrupts data:No Copied to github as #: 11994

Description

I compiled latest SVN trunk on Ubuntu amd64.

Steps to reproduce:

1) open vector layer

2) open layer properties

3) go to attribute table

4) enable edit mode

5) try to select and delete a field. Not possible.

History

#1 - 2009-09-17 03:54 AM - Alexander Bruy

Confirmed on Windows XP Pro SP3: I can create a new field but can't delete any existing field - Delete button is disabled

#2 - 2009-09-17 06:40 AM - Alexander Bruy

Seems that this problem is OGR-related. OGR can't delete fields

#3 - 2009-09-20 04:27 PM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

QGIS queries the provider, if I can delete attributes.  Depending on it's response the buttons are enabled or disabled.  For the shape case OGR cannot

delete attributes and therefore the button is disabled.  Once support is added to OGR, QGIS will use it.  So I'm closing this ticket.

See also GDAL ticket !#2671

#4 - 2013-07-04 10:54 AM - Daniel Vaz

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.4.0 to Version 2.0.0

- Assignee deleted (nobody -)

- Status changed from Closed to Reopened
http://trac.osgeo.org/gdal/ticket/2671


GDAL ticket was concluded. I suggest to reopen and fix that bug.

#5 - 2013-07-04 05:48 PM - Jürgen Fischer

- Status changed from Reopened to Resolved

- Resolution changed from wontfix to up-/downstream

- Pull Request or Patch supplied set to No

Daniel Vaz wrote:

GDAL ticket was concluded. I suggest to reopen and fix that bug.

There's no bug - QGIS supports removal of shape attributes since GDAL did.

#6 - 2013-07-04 05:55 PM - Jürgen Fischer

- Status changed from Resolved to Closed

- Target version deleted (Version 2.0.0)

#7 - 2013-07-05 04:24 AM - Daniel Vaz

Sorry, I am using QGis version 1.8 on Ubuntu 12.04 and after I recompile under gdal 1.9 the option works fine. Thanks in advance
